Package org.apache.felix.obrplugin

# Class ObrIndex

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.felix.obrplugin.ObrIndex

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

@Mojo(name="index", requiresProject=false) public final class ObrIndex extends org.apache.maven.plugin.AbstractMojo
Index the content of a maven repository using OBR

Author:
  Felix Project Team

## Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

## Constructor Summary

Constructors
Constructor
Description
`ObrIndex()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doTemplate(URI root, File path, org.apache.felix.bundlerepository.impl.ResourceImpl resource)`
`void`
`execute()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObrIndex

public ObrIndex()

## Method Details

### execute

public void execute() throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

### doTemplate

protected void doTemplate(URI root, File path, org.apache.felix.bundlerepository.impl.ResourceImpl resource) throws IOException, URISyntaxException

Throws:
  `IOException`
  `URISyntaxException`